import { PolarLineSeriesBase } from "./PolarLineSeriesBase";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core/ES5/type";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { PolarLineSeriesBaseView } from "./PolarLineSeriesBaseView";
import { List$1 } from "igniteui-react-core/ES5/List$1";
import { RenderingContext } from "igniteui-react-core/ES5/RenderingContext";
/**
 * @hidden
 */
export declare class PolarSplineSeries extends PolarLineSeriesBase {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    o6: PolarSplineSeriesView;
    constructor();
    o7: number;
    protected is(a: any, b: string, c: any, d: any): void;
    protected o4(a: SeriesView): void;
    o5(a: PolarFrame, b: PolarBaseView): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarSplineSeriesView extends PolarLineSeriesBaseView {
    static $t: Type;
    protected cz: PolarSplineSeries;
    constructor(a: PolarSplineSeries);
    ap(): void;
    private readonly c2;
    c0(): void;
    c1(a: List$1<Point>, b: number): void;
    protected a8(): void;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    protected ac(): void;
}
